!
!  UISupportErrorInfo.f90 - This file contains the implementation of the
!                    ISupportErrorInfo methods
!
    ! ISupportErrorInfo_InterfaceSupportsErrorInfo
    function ISupportErrorInfo_InterfaceSupportsErrorInfo( ObjectData ,&
             riid) result (hresult)
        use AToI_Types
        implicit none
        type(AToI_InstanceData) ObjectData
        !dec$ attributes reference :: ObjectData
        TYPE (GUID), intent(in) :: riid
        integer(LONG) hresult
        ! TODO:  Add implementation
        hresult = S_OK
    end function
